[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DrawEdge

Draws one or more edges of a rectangle.

## Declaration

Source position: winapih.inc line 84

`public function TWidgetSet.DrawEdge(`
`DC: HDC;`
`var Rect: TRect;`
`edge: Cardinal;`
`grfFlags: Cardinal`
`):Boolean; virtual;`

## Arguments

`DC` |  | Device context for the drawing operation.
`Rect` |  | Rectangle with the bounds for the drawing operation.
`edge` |  | A combination of edge styles (inner/outer, raised/sunken).
`grfFlags` |  | Indicates e.g. the edges to paint (BF_LEFT).

## Function result

False on failure.